import java.io.*;

/**
 * 安直にキーボードから値を入力する補助をするクラス (SJIS)
 */
public class ReadLn{
	private static BufferedReader br=new BufferedReader(new InputStreamReader(System.in));

	/**
	文字列を入力．
	@return 入力された文字列．不備があるとnullが返る．
	*/
	public static String readln(){
		String s;
		if(br==null) return null;
		try{
			s=br.readLine();
		}catch(IOException e){
			return null;
		}
		return s;
	}

	/**
	自然数値(0以上)を入力．
	@return 入力された自然数．不備があると-1が返る．
	*/
	public static int readnat(){
		int r;
		String s=readln();
		if(s==null) return -1;
		try{
			r=Integer.parseInt(s);
			if(r>=0) return r; else return -1;
		}catch(NumberFormatException e){
			return -1;
		}
	}

	public void run(){
		String r=ReadLn.readln();
		if(r!=null){
			System.out.println("read ("+r+")");
		}
		int i=ReadLn.readnat();
		System.out.println("["+i+"]");
	}

	public static void main(String[] args){
		new ReadLn().run();
	}

}
